Name: imapfilter
Version: 1.2.1
Release: alt1.C30.1

Summary: %name - imap mail filter
License: BSD
Group: System/Configuration/Networking

Url: http://%name.hellug.gr
Source: %name-%version.tar.gz
Packager: Evgenii Terechkov <evg@altlinux.ru>

BuildRequires: libssl-devel liblua5-devel

%description
%name is a mail filtering utility.  It connects to remote mail servers using the Internet Message Access Protocol (IMAP), sends searching queries to the server and processes mailboxes based on the results. It can be used to delete, copy, move, flag, etc.  messages residing in mailboxes at the same or different mail servers.  The 4rev1 and 4 versions of the IMAP protocol are supported.


%prep
%setup -q

%build
./configure -d /usr

%install
%__subst 's|MAKEFILE_SHAREDIR "|"%_datadir/%name|' pathnames.h
%__make BINDIR=%buildroot%_bindir SHAREDIR=%buildroot%_datadir/%name MANDIR=%buildroot%_mandir install

%files
%_bindir/*
%_datadir/%name
%_man1dir/*
%_man5dir/*
%doc LICENSE NEWS README sample*

%changelog
* Sat Sep  2 2006 Terechkov Evgenii <evg@altlinux.ru> 1.2.1-alt1.C30.1
- Build for C30
- Small spec cleanups

* Fri Jul 21 2006 Terechkov Evgenii <evg@altlinux.ru> 1.2.1-alt1.M24.2
- Fixed: god-damn build system that write %%buildroot into binary

* Fri Jul 21 2006 Terechkov Evgenii <evg@altlinux.ru> 1.2.1-alt1.M24.1
- Backport to M24

* Thu Nov 24 2005 Eugene Ostapets <eostapets@altlinux.ru> 1.1.1-alt1
- new version

* Thu Jul 5 2005 Eugene Ostapets <eostapets@altlinux.ru> 1.1-alt1
- build for ALT Linux
